- Main Page
- Modules
- Namespaces
- Classes
- Files

# format.h File Reference

`#include <glibmm.h>`
`#include <gst/gstformat.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Gst::Enums
## Classes
class | Gst::FormatDefinition
| A format definition is used to get details of a Gst::Format by Gst::get_details(). More...
## Enumerations
enum | Gst::Format { Gst::FORMAT_UNDEFINED, Gst::FORMAT_DEFAULT, Gst::FORMAT_BYTES, Gst::FORMAT_TIME, Gst::FORMAT_BUFFERS, Gst::FORMAT_PERCENT }
## Functions
Glib::ustring | Gst::Enums::get_name (Format format)
| Get a printable name for the given format.
Glib::QueryQuark | Gst::Enums::get_quark (Format format)
| Get the unique quark for the given format.
Format | Gst::register_format (const Glib::ustring& nick, const Glib::ustring& description)
| Create a new Gst::Format based on the nick or return an already registered format with that nick.
Format | Gst::get_format (const Glib::ustring& nick)
| Return the format registered with the given nick.
bool | Gst::formats_contain (const Glib::ArrayHandle<Format>& formats, Format format)
| See if the given format is inside the array of formats.
bool | Gst::get_format_details (Format format, FormatDefinition& def)
| Get details about the given format.
IteratorBasic< const FormatDefinition > | Gst::iterate_format_definitions ()
| Iterate all the registered formats.